Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.drag.preview
Class AlphaPreview

    java.lang.Object
      org.flexdock.docking.drag.effects.DefaultPreview
          org.flexdock.docking.drag.preview.AlphaPreview

All Implemented Interfaces:
  DockingConstants, DragPreview

    public class AlphaPreview

extends DefaultPreview

Field Summary
`static AlphaPreview` | `BLACK`
`static AlphaPreview` | `BLUE`
`static float` | `DEFAULT_ALPHA`
`static Color` | `DEFAULT_BORDER`
`static Color` | `DEFAULT_COLOR`

Fields inherited from class org.flexdock.docking.drag.effects.DefaultPreview
`DEFAULT_TAB_HEIGHT, DEFAULT_TAB_WIDTH`

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Constructor Summary
`AlphaPreview()`
`AlphaPreview(Color border, Color fill, float alpha)`
`AlphaPreview(Color border, Color fill, float alpha, boolean immutable)`

Method Summary
`void` | `drawPreview(Graphics2D g, Polygon p, Dockable dockable, Map dragInfo)`
`void` | `setAlpha(float alpha)`
`void` | `setBorderColor(Color color)`
`void` | `setPreviewColor(Color color)`

Methods inherited from class org.flexdock.docking.drag.effects.DefaultPreview
`createPolyRect, createPolyRect, createPolyTab, createPolyTabOnBottom, createPolyTabOnTop, createPreviewPolygon, createTabbedPaneRect, isOuterRegion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_ALPHA

    public static final float DEFAULT_ALPHA

See Also:
  Constant Field Values

### DEFAULT_COLOR

    public static final Color DEFAULT_COLOR

### DEFAULT_BORDER

    public static final Color DEFAULT_BORDER

### BLUE

    public static final AlphaPreview BLUE

### BLACK

    public static final AlphaPreview BLACK

Constructor Detail

### AlphaPreview

    public AlphaPreview()

### AlphaPreview

    public AlphaPreview(Color border,
                        Color fill,
                        float alpha)

### AlphaPreview

    public AlphaPreview(Color border,
                        Color fill,
                        float alpha,
                        boolean immutable)

Method Detail

### setPreviewColor

    public void setPreviewColor(Color color)

### setAlpha

    public void setAlpha(float alpha)

### setBorderColor

    public void setBorderColor(Color color)

### drawPreview

    public void drawPreview(Graphics2D g,
                            Polygon p,
                            Dockable dockable,
                            Map dragInfo)

  Specified by:
    `drawPreview` in interface `DragPreview`
  Specified by:
    `drawPreview` in class `DefaultPreview`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD